import ntp.packet
import json

session = ntp.packet.ControlSession()
session.openhost('localhost')

peers = session.readstat()


for p in peers:
  vars = session.readvar(p.associd, ['srchost', 'srcadr', 'refid', 'stratum', 'hmode', 'rec', 'reach', 'hpoll', 'ppoll', 'delay', 'offset', 'jitter'])
  peerSelectStatus = " x.-+#*o"[(session.rstatus >>8) & 0x07]
  print(f"{p.associd}, {peerSelectStatus}, {session.rstatus:04x}: {dict(vars)}")

